/* $Id: defdata.c,v 1.1 1996/05/04 19:08:18 yoneyama Exp yoneyama $
 */
/************************************************************************
 * SameGame for X Window (sxsame)                                       *
 * Copyleft  (c) 1994-1996  Software Research Academy                   *
 ************************************************************************/
#include "sxsame.h"
#include "defdata.h"

SameData data_struct[] = {
	{
		1,					/* use box           */
		"white",				/* box color         */
		0,					/* use selected data */
		0,					/* use pushed data   */
		20, 20,					/* bit width, height */
		{
			{				/* default data      */
				(char **)marble1_xpm,
				(char **)marble2_xpm,
				(char **)marble3_xpm,
				(char **)marble4_xpm,
				(char **)marble5_xpm
			},
			{				/* selected data     */
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0
			},
			{				/* pushed data       */
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0
			}
		},
		(char **)back_xpm,			/* background data   */
		(char **)tile1_xpm			/* frame data        */
	},
	{
		1,
		"white",
		1,
		1,
		32, 32,
		{
		    /* normal */
			{
				(char **)bluea_xpm,
				(char **)reda_xpm,
				(char **)pinka_xpm,
				(char **)greena_xpm,
				(char **)yellowa_xpm
			},
			/* selected */
			{
				(char **)blueb_xpm,
				(char **)redb_xpm,
				(char **)pinkb_xpm,
				(char **)greenb_xpm,
				(char **)yellowb_xpm
			},
			/* pushed */
			{
				(char **)bluec_xpm,
				(char **)redc_xpm,
				(char **)pinkc_xpm,
				(char **)greenc_xpm,
				(char **)yellowc_xpm
			}
		},
		/* background */
		(char **)none_xpm,
		/* frame */
		(char **)tile1_xpm
	},
	{
		1,
		"white",
		0,
		0,
		64, 64,
		{
			{
				(char **)face1s_xpm,
				(char **)face2s_xpm,
				(char **)face3s_xpm,
				(char **)face7s_xpm,
				(char **)face8s_xpm
			},
			{
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0
			},
			{
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0,
				(char **)0
			}
		},
		(char **)faceLb_xpm,
		(char **)face4s_xpm
	},
	{
		0
	}
};

